#!/bin/sh
# Glacier Installation Script

# Require the script to be run as root
if [[ $(/usr/bin/id -u) -ne 0 ]]; then
    echo "[ X ] Please run Glacier installation script as root."
    exit
fi

mv ../scripts/glacier.conf ${EVEREST}/targetfs/etc
mkdir ${EVEREST}/targetfs/etc/glacier && echo "[ i ] Creating Glacier directory..."
mkdir ${EVEREST}/targetfs/etc/glacier/pkginfo && echo "[ i ] Creating Glacier package list directory..."
mkdir ${EVEREST}/targetfs/var/cache/glacier && echo "[ i ] Creating Glacier package cache..."
mkdir ${EVEREST}/targetfs/var/log/glacier && echo "[ i ] Creating Glacier timestamp log..."
mv ../scripts/hooks.sh ${EVEREST}/targetfs/etc/glacier
chmod +x ../scripts/glacier
echo "[ i ] Installing glacier..."
cd ../scripts
mv glacier ${EVEREST}/targetfs/bin
touch ${EVEREST}/targetfs/etc/make.conf
echo "[ i ] Glacier has installed successfully."
